




////Declarations
#include <Wire.h>
#include <LiquidCrystal_I2C.h>



LiquidCrystal_I2C lcd(0x27,16,2);  



 const int S1   = 3;
 const int S2   = 4;
 const int S3   = 5;
 const int S4   = 6;
 const int S5   = 7;
 const int S6   = 8;
 const int S7  = 9;
 const int S8  = 10;
 const int S9  = 11;
 const int S10 = 12;
 



/////////////////////////////////////////==================================================/////////////////////////
void setup() {

//// initialisation de l'afficheur lcd 
  lcd.init();                     
 

  // Print a message to the LCD.
 lcd.backlight();
  lcd.setCursor(0,0);
  lcd.print("TALCO 50 MHZ    "); // remplacer UHF par VHF pour la version VHF
  lcd.setCursor(1,1);
  lcd.print("F1GJI V2        ");
  delay(2000);
   
////Pins d'entrees 
  pinMode(S1,INPUT_PULLUP);
  pinMode(S2,INPUT_PULLUP);
  pinMode(S3,INPUT_PULLUP);
  pinMode(S4,INPUT_PULLUP);
  pinMode(S5,INPUT_PULLUP);
  pinMode(S6,INPUT_PULLUP);
  pinMode(S7,INPUT_PULLUP);
  pinMode(S8,INPUT_PULLUP);
  pinMode(S9,INPUT_PULLUP);
  pinMode(S10,INPUT_PULLUP);
                 
  
  
  lcd.clear(); 
 

}

/////////////////////////////////////////////==================================================//////////////////////



void loop()


//------------------------------------------------------------------------------------
//                               canal 1
//------------------------------------------------------------------------------------ 
  
{

  if (digitalRead(S1)== LOW)
 {
  lcd.setCursor(0,0);
  lcd.print("1 APPEL SIMPLEX ");  // changer le texte pour VHF respecter les 16 caracteres
   lcd.setCursor(0,1);
   lcd.print("51.5125 Mhz     ");  //   pareil
 }
 
else if (digitalRead(S2)==LOW)
//----------------------------------------------------------------------------------
//                                                     canal 2
//---------------------------------------------------------------------------------- 
 
{
  lcd.setCursor(0,0);
  lcd.print("2 SIMPLEX       "); //   encore pareil pour VHF
   lcd.setCursor(0,1);
   lcd.print("51.4125 Mhz     ");  // toujours pareil bien respecter les 16 caracteres
 
}

else if (digitalRead(S3)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 3
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("3 SIMPLEX       "); //    meme chose pour tous les canaux
   lcd.setCursor(0,1);
   lcd.print("51.500 Mhz      ");
}

else if (digitalRead(S4)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 4
//----------------------------------------------------------------------------------  
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("4 SIMPLEX       ") ;
   lcd.setCursor(0,1);
   lcd.print("50.525 Mhz      ");
}

else if (digitalRead(S5)==LOW)
//----------------------------------------------------------------------------------
//                                                     canal 5
//---------------------------------------------------------------------------------- 
 {
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("5 TOUS MODES    ");
   lcd.setCursor(0,1);
   lcd.print("50.500 Mhz      ");
 }

else if (digitalRead(S6)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 6
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("6 SS-TV         ");
   lcd.setCursor(0,1);
   lcd.print("50.5125 Mhz     ");
}

else if (digitalRead(S7)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 7
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("7 RTTY          ") ;
   lcd.setCursor(0,1);
   lcd.print("50.600 Mhz      ");
}

else if (digitalRead(S8)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 8
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("8 SIMPLEX       ");
   lcd.setCursor(0,1);
   lcd.print("51.550 Mhz      ");
}

else if (digitalRead(S9)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 9
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("9 F1ZTH 38      ");
   lcd.setCursor(0,1);
   lcd.print("50.5375 Mhz     ");

}
else if (digitalRead(S10)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 10
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("10 F1ZEV 42     ");
   lcd.setCursor(0,1);
   lcd.print("51.950 Mhz -600 ");
}



 






  
   

}
//// Fin de fichier ////
