




////Declarations
#include <Wire.h>
#include <LiquidCrystal_I2C.h>



LiquidCrystal_I2C lcd(0x27,16,2);  



 const int S1   = 3;
 const int S2   = 4;
 const int S3   = 5;
 const int S4   = 6;
 const int S5   = 7;
 const int S6   = 8;
 const int S7  = 9;
 const int S8  = 10;
 const int S9  = 11;
 const int S10 = 12;
 



/////////////////////////////////////////==================================================/////////////////////////
void setup() {

//// initialisation de l'afficheur lcd 
  lcd.init();                     
 

  // Print a message to the LCD.
 lcd.backlight();
  lcd.setCursor(0,0);
  lcd.print("TX TALCO UHF PAR"); // remplacer UHF par VHF pour la version VHF
  lcd.setCursor(1,1);
  lcd.print("F1GJI et F4BVS");
  delay(2000);
   
////Pins d'entrees 
  pinMode(S1,INPUT_PULLUP);
  pinMode(S2,INPUT_PULLUP);
  pinMode(S3,INPUT_PULLUP);
  pinMode(S4,INPUT_PULLUP);
  pinMode(S5,INPUT_PULLUP);
  pinMode(S6,INPUT_PULLUP);
  pinMode(S7,INPUT_PULLUP);
  pinMode(S8,INPUT_PULLUP);
  pinMode(S9,INPUT_PULLUP);
  pinMode(S10,INPUT_PULLUP);
                 
  
  
  lcd.clear(); 
 

}

/////////////////////////////////////////////==================================================//////////////////////



void loop()


//------------------------------------------------------------------------------------
//                               canal 1
//------------------------------------------------------------------------------------ 
  
{

  if (digitalRead(S1)== LOW)
 {
  lcd.setCursor(0,0);
  lcd.print("F1ZES X rousse                ");  // changer le texte pour VHF respecter les 16 caracteres
   lcd.setCursor(0,1);
   lcd.print("430.025 RX/TX                 ");  //   pareil
 }
 
else if (digitalRead(S2)==LOW)
//----------------------------------------------------------------------------------
//                                                     canal 2
//---------------------------------------------------------------------------------- 
 
{
  lcd.setCursor(0,0);
  lcd.print("Relais ADRASEC                   "); //   encore pareil pour VHF
   lcd.setCursor(0,1);
   lcd.print("439.475/430.100              ");  // toujours pareil bien respecter les 16 caracteres
 
}

else if (digitalRead(S3)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 3
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("F1ZEX mont jora            "); //    meme chose pour tous les canaux
   lcd.setCursor(0,1);
   lcd.print("430.150/439.550              ");
}

else if (digitalRead(S4)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 4
//----------------------------------------------------------------------------------  
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("RU11 relais         ") ;
   lcd.setCursor(0,1);
   lcd.print("431.875/430.275              ");
}

else if (digitalRead(S5)==LOW)
//----------------------------------------------------------------------------------
//                                                     canal 5
//---------------------------------------------------------------------------------- 
 {
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("F1ZTA mont pilat            ");
   lcd.setCursor(0,1);
   lcd.print("439.525 RX/TX              ");
 }

else if (digitalRead(S6)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 6
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("Freq SIMPLEX       ");
   lcd.setCursor(0,1);
   lcd.print("432.525 RX/TX              ");
}

else if (digitalRead(S7)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 7
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("Freq SIMPLEX     ") ;
   lcd.setCursor(0,1);
   lcd.print("432.500              ");
}

else if (digitalRead(S8)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 8
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("ADRASEC X rousse      ");
   lcd.setCursor(0,1);
   lcd.print("430.125 RX/TX              ");
}

else if (digitalRead(S9)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 9
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("ADRASEC TRSpondeur       ");
   lcd.setCursor(0,1);
   lcd.print("439.925 RX/TX              ");

}
else if (digitalRead(S10)== LOW)
//----------------------------------------------------------------------------------
//                                                     canal 10
//---------------------------------------------------------------------------------- 
{
  lcd.backlight();   
  lcd.setCursor(0,0);
  lcd.print("F1ZTA pilat 2       ");
   lcd.setCursor(0,1);
   lcd.print("431.300 RX/TX              ");
}



 






  
   

}
//// Fin de fichier ////
